From: "Andreas K. Hüttel" <dilfridge@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-portage/g-cpan/
Date: Fri, 10 Apr 2020 23:31:16 +0000 (UTC) [thread overview]
Message-ID: <1586561460.119f9d6ab000d8f7b53867c852e03404500ddf71.dilfridge@gentoo> (raw)
commit: 119f9d6ab000d8f7b53867c852e03404500ddf71
Author: Sergiy Borodych <Sergiy.Borodych <AT> gmail <DOT> com>
AuthorDate: Sat Apr 4 07:46:27 2020 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Fri Apr 10 23:31:00 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=119f9d6a
app-portage/g-cpan: version bump to 0.17.0
Bug: https://bugs.gentoo.org/581490
Closes: https://github.com/gentoo-perl/g-cpan/issues/26
Signed-off-by: Sergiy Borodych <Sergiy.Borodych <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/15214
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
app-portage/g-cpan/Manifest | 1 +
app-portage/g-cpan/g-cpan-0.17.0.ebuild | 62 +++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/app-portage/g-cpan/Manifest b/app-portage/g-cpan/Manifest
index b27eacb0078..137f2cdf37e 100644
--- a/app-portage/g-cpan/Manifest
+++ b/app-portage/g-cpan/Manifest
@@ -1 +1,2 @@
DIST g-cpan-0.16.9.tar.gz 34463 BLAKE2B 7eff6b7da75219712504ac7b9ea1833e9eaa9ba4a49f609baec6407beb16f4764baf2c35e15c779c93ca8c09bba9058e6acb6fda7f3fd2df06296724f2c3c3fc SHA512 f26d81974fedb024808fe3671ae297fd36abc37a5b04783f36f6c9e8c6000a411c675e999e91da48801a7c84fde15a59587df02fa9d7b3833ccc0916993b1783
+DIST g-cpan-0.17.0.tar.gz 38786 BLAKE2B 3f4a165920c7c075919f0eeca9554fe32bd3f72cd8010fced4d7e45aa44e80de7800fb78587d1429ac88643dd812d58725b66fbbdce305bd762db8d4ca2f0720 SHA512 80475560a00fddce31f8a92dd460bd22e0de57445a56628ad76f35ab3fc4d2f801ebd2a2a9542ed675245a994e53bb7ae842f714c35ab1f6bdbc40dd49ce2d86
diff --git a/app-portage/g-cpan/g-cpan-0.17.0.ebuild b/app-portage/g-cpan/g-cpan-0.17.0.ebuild
new file mode 100644
index 00000000000..fca42099a13
--- /dev/null
+++ b/app-portage/g-cpan/g-cpan-0.17.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit perl-module
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/gentoo-perl/g-cpan.git"
+ inherit git-r3
+ SRC_URI=""
+else
+ SRC_URI="https://github.com/gentoo-perl/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+fi
+
+DESCRIPTION="Autogenerate and install ebuilds for CPAN modules"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Perl/g-cpan"
+
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMONDEPEND="
+ dev-perl/Config-Tiny
+ virtual/perl-File-Path
+ virtual/perl-File-Spec
+ dev-perl/Log-Agent
+ virtual/perl-Memoize
+ virtual/perl-IO
+ dev-perl/Path-Tiny
+ dev-perl/Shell-EnvImporter
+ virtual/perl-Term-ANSIColor
+ >=dev-perl/YAML-0.60
+"
+RDEPEND="${COMMONDEPEND}
+ >=sys-apps/portage-2.0.0
+"
+DEPEND="${COMMONDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+ test? ( >=virtual/perl-Test-Simple-0.940.0 )
+"
+
+src_install() {
+ perl-module_src_install
+ if ! use prefix; then
+ diropts -m0775 -o portage -g portage
+ else
+ diropts -m0775
+ fi
+ dodir "/var/tmp/g-cpan"
+ dodir "/var/log/g-cpan"
+ keepdir "/var/log/g-cpan"
+}
+
+pkg_postinst() {
+ elog "If you want to use g-cpan as non root user you may wish to adjust"
+ elog "the permissions on /var/tmp/g-cpan or add users to the portage group."
+ elog "Please note that some CPAN packages need additional manual"
+ elog "parameters or tweaking, due to bugs in their build systems."
+}
next reply other threads:[~2020-04-10 23:31 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-10 23:31 Andreas K. Hüttel [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-27 12:12 [gentoo-commits] repo/gentoo:master commit in: app-portage/g-cpan/ Andreas K. Hüttel
2023-12-17 14:30 Mart Raudsepp
2022-07-04 6:55 Agostino Sarubbo
2022-07-04 6:54 Agostino Sarubbo
2022-07-04 6:53 Agostino Sarubbo
2022-07-04 6:53 Agostino Sarubbo
2022-07-04 6:52 Agostino Sarubbo
2022-07-04 6:51 Agostino Sarubbo
2022-07-03 22:39 Sam James
2022-07-03 22:33 Sam James
2020-05-16 7:09 Joonas Niilola
2020-04-10 23:31 Andreas K. Hüttel
2020-04-10 23:31 Andreas K. Hüttel
2019-05-18 10:02 Michał Górny
2018-03-21 18:12 Michał Górny
2017-07-30 8:47 Michał Górny
2017-02-16 21:12 Markus Meier
2017-01-23 6:57 Jeroen Roovers
2017-01-02 9:11 Andreas Hüttel
2016-12-30 11:12 Agostino Sarubbo
2016-12-20 17:31 Tobias Klausmann
2016-11-15 14:53 Tobias Klausmann
2016-11-11 23:46 Andreas Hüttel
2016-07-14 16:08 Patrice Clement
2016-05-06 20:51 Andreas Hüttel
2016-04-30 16:57 Andreas Hüttel
2016-04-30 16:57 Andreas Hüttel
2016-04-30 16:57 Andreas Hüttel
2016-04-30 16:57 Andreas Hüttel
2016-04-29 19:36 Andreas Hüttel
2015-10-07 20:40 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1586561460.119f9d6ab000d8f7b53867c852e03404500ddf71.dilfridge@gentoo \
--to=dilfridge@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox